Uploaded image for project: 'HPCC'
  1. HPCC
  2. HPCC-18188

build fails if libmemcached is not installed

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Not specified
    • Resolution: Duplicate
    • Affects Version/s: 6.4.x
    • Fix Version/s: None
    • Component/s: Build process
    • Labels:
      None

      Description

      Build failed on some Linux which doesn't have libmemcached installed.

      {quote}
      13:33:39 CMake Error at /jenkins/workspace/LN-Candidate-with-Plugins-master-Nightly-Build/LN/ubuntu-16.10-amd64/HPCC-Platform/cmake_modules/FindLIBMEMCACHED.cmake:45 (file):13:33:39 file STRINGS file*13:33:39* "/jenkins/workspace/LN-Candidate-with-Plugins-master-Nightly-Build/LN/ubuntu-16.10-amd64/build/downloads/libmemcached/libmemcached-1.0/configure.h"13:33:39 cannot be read.
      {quote}

       

      It probably doesn download t he libmemecached even it doesn't exist on the build system.\

      {quote}
      13:33:35 – Found LIBMEMCACHED: $<TARGET_FILE:libmemcached> (Required is at least version "1.0.10")

      Log: http://10.240.32.243/view/Nightly_Builds/job/LN-Candidate-with-Plugins-master-Nightly-Build/LN=ubuntu-16.10-amd64/2/console
      {quote}

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Michael-Gardner Michael Gardner
                Reporter:
                xwang2713 Xiaoming Wang
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: